1. Cards
Asteria API DOCs
  • Getting Started
  • Webhooks
  • Auth
    • Validate & Generate Access Token
      POST
  • Collections
    • Pay via Bank Transfer
      • Get Banks
      • Generate Dynamic VIrtual Account
      • Check Payment Status
    • Cards
      • Generate Payment Advice
        POST
      • Charge Card
        POST
    • Mpesa
      • Mpesa API
  • Payouts
    • Get Bank List
      GET
    • Validate Account
      POST
    • Initiate Transfer
      POST
    • Check Payout Status
      POST
  • Account
    • Get Wallet Balance
      GET
  1. Cards

Generate Payment Advice

POST
https://dev-gateway.mydartdigital.com/collections/card/payment-advice

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://dev-gateway.mydartdigital.com/collections/card/payment-advice' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "amount": 500,
    "currency": "NGN", // supported currency NGN, USD
    "merchantRef": "Ref-Dart-63727382", // your uiqune 
    "callBackUrl": "https://account.mydartdigital.com/",
    "narration":""
}'
Response Response Example
{
    "responseStatus": "00",
    "message": "Card Advice initiated successfully",
    "data": {
        "transactionId": "cmp9rr49c000002lb6i9go0in",
        "adviceReference": "3b5e216e-2a5d-4f60-89e3-595061efd3b2",
        "amount": 600,
        "currency": "NGN",
        "status": "PENDING",
        "merchantRef": "Ref-Dart-637272345382",
        "narration": "",
        "channels": "CARD"
    }
}
Modified at 2026-05-17 12:51:49
Previous
Check Payment Status
Next
Charge Card
Built with